org.apache.fop.render.rtf.rtflib.rtfdoc

## Interface IRtfParagraphContainer

All Known Implementing Classes:
  RtfAfter, RtfBefore, RtfListItem, RtfSection, RtfTableCell

    public interface IRtfParagraphContainer

Interface for RtfElements that can contain RtfParagraphs.

This work was authored by Bertrand Delacretaz (bdelacretaz@codeconsult.ch).

### Method Summary

All Methods Instance Methods Abstract Methods
`RtfParagraph` `newParagraph()` Close current paragraph, if any, and start a new one with default attributes.
`RtfParagraph` `newParagraph(RtfAttributes attr)` Close current paragraph, if any, and start a new one with specified attributes

### Method Detail

#### newParagraph

    RtfParagraph newParagraph()
                       throws IOException

Close current paragraph, if any, and start a new one with default attributes.

Returns:
  new paragraph object
Throws:
  `IOException` - for I/O problems.

#### newParagraph

    RtfParagraph newParagraph(RtfAttributes attr)
                       throws IOException

Close current paragraph, if any, and start a new one with specified attributes

Parameters:
  `attr` - attributes for new paragraph
Returns:
  new paragraph object
Throws:
  `IOException` - for I/O problems.